> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aflux.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1projectscontextgenerate



## OpenAPI

````yaml https://backend.aflux.ai/openapi post /api/v1/projects/context/generate
openapi: 3.0.3
info:
  title: AdFlux Backend API
  version: v1
servers:
  - url: /
security: []
tags:
  - name: auth
  - name: users
  - name: uploads
  - name: projects
  - name: campaigns
  - name: placements
  - name: billing
  - name: payments
  - name: image-generations
paths:
  /api/v1/projects/context/generate:
    post:
      tags:
        - projects
      operationId: projectsGenerateContext
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateProjectContextRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateProjectContextResponse'
        default:
          $ref: '#/components/responses/DefaultError'
      security:
        - Bearer: []
components:
  schemas:
    GenerateProjectContextRequest:
      type: object
      required:
        - name
        - description
        - logoLightAssetId
        - brandColors
      properties:
        sourceUrl:
          type: string
          nullable: true
        name:
          type: string
        description:
          type: string
        targetAudience:
          type: string
          nullable: true
        logoLightAssetId:
          type: string
          format: uuid
        brandColors:
          type: array
          items:
            type: string
        visualStyleDescription:
          type: string
          nullable: true
    GenerateProjectContextResponse:
      type: object
      required:
        - context
      properties:
        context:
          $ref: '#/components/schemas/ProjectAiContext'
    ProjectAiContext:
      type: object
      required:
        - businessOverview
        - customerDemographics
      properties:
        businessOverview:
          type: string
        customerDemographics:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    DefaultError:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````